aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: ¿Se pueden usar wxwidgets compilados con aMule binario?  (Read 2368 times)

sosonok

  • Jr. Member
  • **
  • Karma: 0
  • Offline Offline
  • Posts: 56
¿Se pueden usar wxwidgets compilados con aMule binario?
« on: March 30, 2006, 05:23:08 PM »

Uso Kubuntu Breezy. Acabo de compilar e instalar la última versión de los wxWdigets, habiendo desinstalado previamente la versión que tenía (un .deb) y el propio amule (por las dependencias). Cuando voy a volver a instalar el aMule:

Quote
dpkg: problemas de dependencias impiden la configuración de amule:
 amule depende de libwxgtk2.6-0 (>= 2.6.0.0); sin embargo:
  el paquete libwxgtk2.6-0 no está instalado.

Y luego, si intento ejecutarlo, muchas líneas del tipo:

Quote
amule: Symbol `_ZTV15wxNotebookEvent' has different size in shared object, consider re-linking

y finalmente:

Quote
Fatal Error: Mismatch between the program and library build versions detected.
The library used 2.6 (no debug,Unicode,compiler with C++ ABI 1002,wx containers),
and your program used 2.6 (no debug,Unicode,compiler with C++ ABI 1002,wx containers,compatible with 2.4).
Abortado

¿Significa eso que tengo que compilar también amule o existe otra solución?

edito: acabo de leerlo mejor y me da la impresión de que tendría que volver a compilar wxWidgets con la opción de compatibilidad para 2.4. ¿Es así?
« Last Edit: March 30, 2006, 05:29:06 PM by sosonok »
Logged

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: ¿Se pueden usar wxwidgets compilados con aMule binario?
« Reply #1 on: March 30, 2006, 05:29:33 PM »

¡Hola!

Si, tienes que compilas aMule tambien.

Saludos
Logged

sosonok

  • Jr. Member
  • **
  • Karma: 0
  • Offline Offline
  • Posts: 56
Re: ¿Se pueden usar wxwidgets compilados con aMule binario?
« Reply #2 on: March 30, 2006, 07:32:24 PM »

Ahora quiero desinstalar los wxWidgets que he compilado para continuar de momento con las descargas, y no me deja:

Quote
make: No se hace nada para `uninstall'.

Luego he probado a volver a ejecutar configure, pero nada.
Logged

Jacobo221

  • Hero Member
  • *****
  • Karma: 3
  • Offline Offline
  • Posts: 2711
Re: ¿Se pueden usar wxwidgets compilados con aMule binario?
« Reply #3 on: March 30, 2006, 11:37:49 PM »

tienes que hacer "make uninstall" desde dentro de el directorio que contiene el codigo fuente de wxwidgets.

mira esto:

http://www.amule.org/wiki/index.php/How_to_uninstall_wxWidgets
Logged

sosonok

  • Jr. Member
  • **
  • Karma: 0
  • Offline Offline
  • Posts: 56
Re: ¿Se pueden usar wxwidgets compilados con aMule binario?
« Reply #4 on: March 30, 2006, 11:52:56 PM »

Bueno, supongo que te referirás al directorio src/ dentro de wxGTK-2.6.3/... de todas formas, he acabado animándome y he compilado amule. Creo que sigo teniendo los mismos problemas :(, pero eso ya los contaré en otro hilo cuando esté bien comprobado.
Logged